uuid: 3e49dc0d-d9f2-4d39-9cf1-353bffd5aa94
langcode: en
status: true
dependencies:
  config:
    - field.field.node.class.field_class_id
    - field.field.node.class.field_course
    - field.field.node.class.field_delivery_method
    - field.field.node.class.field_location
    - field.field.node.class.field_location_search
    - field.field.node.class.field_meeting_days
    - field.field.node.class.field_meeting_times
    - field.field.node.class.field_seats
    - field.field.node.class.field_section_info
    - field.field.node.class.field_section_number
    - field.field.node.class.field_start_date
    - node.type.class
  module:
    - feeds_tamper
    - node
third_party_settings:
  feeds_tamper:
    tampers:
      f15827d8-a521-482c-80de-e36f279ddfa8:
        text: '[title] - [name] - [section_name]'
        uuid: f15827d8-a521-482c-80de-e36f279ddfa8
        plugin: rewrite
        source: title
        weight: 0
        label: 'Concatenate title'
      64a5d55e-be5e-49b8-9a59-5681286d42e0:
        uuid: 64a5d55e-be5e-49b8-9a59-5681286d42e0
        plugin: colleague_section_info
        source: end_time
        weight: 0
        label: 'Section info'
      a3aff4e8-c956-4568-8e88-5db9b7753e2f:
        uuid: a3aff4e8-c956-4568-8e88-5db9b7753e2f
        plugin: colleague_section_days_of_week
        source: meeting_days
        weight: 0
        label: 'Section days of week'
      0a3aa56a-e8bc-470e-9cd6-974aa9e39860:
        uuid: 0a3aa56a-e8bc-470e-9cd6-974aa9e39860
        plugin: colleague_section_times
        source: start_time
        weight: 0
        label: 'Section times'
      3fb93b0a-d465-4b23-9590-f3998575ed0c:
        uuid: 3fb93b0a-d465-4b23-9590-f3998575ed0c
        plugin: static_map
        source: delivery_method
        weight: 0
        label: 'Static map'
        map_values:
          HY: Hybrid
          TR: Classroom
          IN: Online
          DL: Online
          CP: Classroom
          WB: Hybrid
          BL: Hybrid
        ignore_key_case: 0
        if_no_match: empty
        if_no_match_default: ''
      5175ac8d-cc42-4bb1-be5c-f92ddb707d43:
        uuid: 5175ac8d-cc42-4bb1-be5c-f92ddb707d43
        plugin: static_map
        source: location
        weight: -9
        label: 'Static map'
        map_values:
          mc: 'Main Campus'
          main_campus: 'Main Campus'
          atc: ATC
          che: CHE
          chur: CHUR
          dsn: DSN
          fd: FD
          int: Internet
          internet: Internet
          ndc: NDC
          occ: OCC
          oc: 'Orange County'
          polic: POLIC
          other: Other
        ignore_key_case: 1
        if_no_match: pass_thru
        if_no_match_default: ''
      3db2de15-6c0a-4304-aa44-56e967c02a0f:
        uuid: 3db2de15-6c0a-4304-aa44-56e967c02a0f
        plugin: colleague_section_start_date
        source: start_date
        weight: 0
        label: 'Section start date'
      05e10171-40aa-4e81-9930-fdd98b8ec796:
        text: '[location]'
        uuid: 05e10171-40aa-4e81-9930-fdd98b8ec796
        plugin: rewrite
        source: location_search_
        weight: 0
        label: Rewrite
      4708df41-37a5-4bd2-b8a0-978b2b786736:
        uuid: 4708df41-37a5-4bd2-b8a0-978b2b786736
        plugin: static_map
        source: location_search_
        weight: 1
        label: 'Static map'
        map_values:
          atc: atc
          che: che
          dsn: dsn
          'main campus': main_campus
          ndc: ndc
          occ: occ
          other: other
        ignore_key_case: 1
        if_no_match: default
        if_no_match_default: other
      c8033fc4-f253-416b-aca6-641cebc481d4:
        default_value: '1'
        only_if_empty: false
        uuid: c8033fc4-f253-416b-aca6-641cebc481d4
        plugin: default_value
        source: status
        weight: 0
        label: 'Set value or default value'
id: section_import
label: 'Section (Class) import'
description: ''
help: ''
import_period: -1
fetcher: directory
fetcher_configuration:
  allowed_extensions: csv
  allowed_schemes:
    public: public
  recursive_scan: false
parser: csv
parser_configuration:
  delimiter: ','
  no_headers: false
  line_limit: 100
processor: 'entity:node'
processor_configuration:
  values:
    type: class
  langcode: en
  insert_new: 1
  update_existing: 2
  update_non_existent: 'entity:unpublish_action:node'
  skip_hash_check: false
  authorize: false
  expire: -1
  owner_feed_author: false
  owner_id: 1
custom_sources:
  title:
    value: Title
    label: Title
    machine_name: title
    type: csv
  id:
    value: Id
    label: Id
    machine_name: id
    type: csv
  section_name:
    value: 'Section Name'
    label: 'Section Name'
    machine_name: section_name
    type: csv
  name:
    value: Name
    label: Name
    machine_name: name
    type: csv
  delivery_method:
    value: 'Delivery Method'
    label: 'Delivery Method'
    machine_name: delivery_method
    type: csv
  location:
    value: Location
    label: Location
    machine_name: location
    type: csv
  seats_available:
    value: 'Seats Available'
    label: 'Seats Available'
    machine_name: seats_available
    type: csv
  meeting_days:
    value: 'Meeting Days'
    label: 'Meeting Days'
    machine_name: meeting_days
    type: csv
  start_time:
    value: 'Start Time'
    label: 'Start Time'
    machine_name: start_time
    type: csv
  end_time:
    value: 'End Time'
    label: 'End Time'
    machine_name: end_time
    type: csv
  building:
    value: Building
    label: Building
    machine_name: building
    type: csv
  room:
    value: Room
    label: Room
    machine_name: room
    type: csv
  start_date:
    value: 'Start Date'
    label: 'Start Date'
    machine_name: start_date
    type: csv
  location_search_:
    value: 'Location (Search)'
    label: 'Location (Search)'
    machine_name: location_search_
    type: csv
  status:
    value: Status
    label: Status
    machine_name: status
    type: csv
mappings:
  -
    target: title
    map:
      value: title
    settings:
      language: null
    unique: {  }
  -
    target: field_class_id
    map:
      value: id
    settings:
      language: null
    unique:
      value: '1'
  -
    target: field_section_number
    map:
      value: section_name
    settings:
      language: null
    unique: {  }
  -
    target: field_course
    map:
      target_id: name
    settings:
      language: null
      reference_by: name
      autocreate: false
      feeds_item: false
  -
    target: field_delivery_method
    map:
      target_id: delivery_method
    settings:
      language: null
      reference_by: name
      autocreate: false
      feeds_item: false
  -
    target: field_location
    map:
      value: location
    settings:
      language: null
    unique: {  }
  -
    target: field_seats
    map:
      value: seats_available
    settings:
      language: null
    unique: {  }
  -
    target: field_meeting_days
    map:
      value: meeting_days
    settings:
      language: null
  -
    target: field_meeting_times
    map:
      value: start_time
    settings:
      language: null
  -
    target: field_section_info
    map:
      value: end_time
    settings:
      language: null
  -
    target: temporary_target
    map:
      temporary: building
  -
    target: temporary_target
    map:
      temporary: room
  -
    target: field_start_date
    map:
      value: start_date
    settings:
      language: ''
      timezone: America/New_York
  -
    target: field_location_search
    map:
      value: location_search_
    settings:
      language: null
  -
    target: status
    map:
      value: status
    settings:
      language: null
